> For the complete documentation index, see [llms.txt](https://docs.interactive.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.interactive.ai/cli/iai_services.md).

# iai services

Deploy and manage HTTP services

## Synopsis

Manage deployment of services to InteractiveAI projects.

## Options

```
  -h, --help   help for services
```

## Options inherited from parent commands

```
      --api-key string               API key for authentication
      --cfg-file string              Path to YAML config file with organization, project, and optional service definitions
      --deployment-hostname string   Hostname for the deployment API (default "https://deployment.interactive.ai")
      --hostname string              Hostname for the API (default "https://app.interactive.ai")
```

## SEE ALSO

* [iai](/cli/iai.md) - InteractiveAI's CLI
* [iai services activate](/cli/iai_services_activate.md) - Activate a deactivated service in a project
* [iai services create](/cli/iai_services_create.md) - Create a service in a project
* [iai services deactivate](/cli/iai_services_deactivate.md) - Deactivate a service in a project
* [iai services delete](/cli/iai_services_delete.md) - Delete a service from a project
* [iai services describe](/cli/iai_services_describe.md) - Describe a service in detail
* [iai services diff](/cli/iai_services_diff.md) - Compare two revisions of a service
* [iai services list](/cli/iai_services_list.md) - List services in a project
* [iai services log-fields](/cli/iai_services_log-fields.md) - List available fields in structured logs
* [iai services logs](/cli/iai_services_logs.md) - Show logs for a service
* [iai services port-forward](/cli/iai_services_port-forward.md) - Forward a local port to a service
* [iai services restart](/cli/iai_services_restart.md) - Restart a service in a project
* [iai services revisions](/cli/iai_services_revisions.md) - List revisions of a service
* [iai services update](/cli/iai_services_update.md) - Update a service in a project


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.interactive.ai/cli/iai_services.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
